# coding: utf-8

require File.expand_path(File.dirname(__FILE__) + '/spec_helper')

describe SitemapMaker do
  before do
    @url =  "http://dlab-inc.jp"
    @page = SitemapMaker::HTML open( @url )
  end

  it "should get title" do
    @page.title.should eql("株式会社DreamLab｜スマートフォンアプリ開発のWeb制作会社")
  end

  it "should get description" do
    @page.description.should eql("DreamLabのホームページです。スマートフォンアプリケーションの企画、制作、ダウンロード促進企画を一括で行えます。成果を出すためのノウハウを凝縮し、幅広いWEBプロモーションを行っていくことを前提としたホームページを設計します。")
  end

  it "should get keywords" do
    @page.keywords.should eql("スマートフォンアプリ,Facebookアプリ開発,大阪,")
  end
end
