# coding: utf-8

require File.expand_path(File.dirname(__FILE__) + '/spec_helper')

describe SitemapMaker do
  before do
    @url =  "http://omocoro.jp"
  end

  context :root do
    it "should return root url" do
      url =  "http://dlab-inc.jp/top/mod/"
      root_url = SitemapMaker::SiteTree.root( url )
      root_url.should eql("http://dlab-inc.jp")
    end
  end

  context :own_links do
    it "should return own links" do
      own_links = SitemapMaker::SiteTree.own_links( @url )
      own_links.class.should eql(Array)
    end
  end

  context :tree_all do
    it "should return own links" do
      tree_all = SitemapMaker::SiteTree.tree_all( @url )
      binding.pry
      tree_all.class.should eql(Array)
    end
  end
end
